Skip to content
Agents
Skills

List Skills

GET
/v1/skills
curl --request GET \
--url 'https://agents.lumalabs.ai/v1/skills?limit=25' \
--header 'Authorization: Bearer <token>'

List live skills in one tier, newest first.

scope_id
Any of:
string

List this workspace's skills; omit for client-tier skills.

limit
Limit
integer
default: 25 >= 1 <= 100
after
Any of:
string

The next value from the previous page.

Successful Response

Media typeapplication/json
ClientSkillList
object
data
required
Data
Array<object>
ClientSkill

One skill. Its content lives in its versions.

object
created_at
required
Created At
string format: date-time
description
required
Description

The latest version's description.

string
id
required
Id
string format: uuid
latest_version
required
Latest Version
integer
name
required
Name

The name in the skill's SKILL.md frontmatter.

string
scope_id
required
Any of:
string format: uuid
updated_at
required
Updated At
string format: date-time
has_more
required
Has More
boolean
next
required
Any of:
string
Examplegenerated
{
"data": [
{
"created_at": "2026-04-15T12:00:00Z",
"description": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"latest_version": 1,
"name": "example",
"scope_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"has_more": true,
"next": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}